# icon-cool
### 简介
icon-cool项目生成的svg字体资源文件

### 为什么使用
- 弹性，在网页或者 app 上，展示字体是很便捷的。用字体图标可以很方便的改变ico 的颜色，或者加入一些其他的效果

- 可缩放，可以很方便的改变图标的大小

- 矢量，字体图标是矢量的并且具有独立的分辨率，不管在高分辨率还是低分辨率，不管是在网页还是手机端，都具有很好的展示效果，不会出现锯齿或者马赛克模糊

- 节省加载时间，字体图标很小，每个小图标只有几kb，大大节省了加载时间

### 如何使用
1. 单色图标
   - 项目安装npm包，`npm i bk-icon-cmdb`
   - 项目入口js文件处引入css，`import 'bk-icon-cmdb'`
   - 挑选相应图标并获取类名，如.bk-icon .icon-demo
2. 彩色图标
   - 彩色图标通过svg symbol的方式使用
   - 项目安装npm包，`npm i bk-icon-cmdb`
   - 项目入口js文件处引入svg资源，`import 'bk-icon-cmdb/src/index'`
   - 在项目中挑选对应图标的名称使用：
    ```
        <svg aria-hidden="true">
            <use xlink:href="#icon-xxx"></use>
        </svg>
    ```